al_realloc(3)

NAME

al_realloc - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    #define al_realloc(p, n) \
       (al_realloc_with_context((p), (n), __LINE__, __FILE__, __func__))

DESCRIPTION

Like realloc() in the C standard library, but the implementation may be overridden.

This is a macro.

SEE ALSO

al_malloc(3), al_realloc_with_context(3)